org.apache.ignite.platform

## Annotation Type PlatformServiceMethod

    @Documented
     @Retention(value=RUNTIME)
     @Target(value=METHOD)
    public @interface PlatformServiceMethod

Annotation for setting mapping between java interface's method and platform service's method. Platform service method name is defined in `value()`

For example, this annotated java inerface method:

     @PlatformServiceMethod("SomeMethod")
     Object someMethod(Object[] args)

will be mapped to `SomeMethod`, for example (.NET service):

     object SomeMethod(object[] args)

### Required Element Summary

Required Elements
`String` `value` Method name in corresponding platform service.

### Element Detail

#### value

    public abstract String value

Method name in corresponding platform service.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.9.0
Release Date | : October 15 2020